| Version: 2.9.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
wxNavigationKeyEvent Class Reference
Events

`#include <wx/event.h>`

Inheritance diagram for wxNavigationKeyEvent:
[legend]

## Detailed Description

This event class contains information about navigation events, generated by navigation keys such as tab and page down.

This event is mainly used by wxWidgets implementations. A wxNavigationKeyEvent handler is automatically provided by wxWidgets when you enable keyboard navigation inside a window by inheriting it from wxNavigationEnabled<>.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxNavigationKeyEvent& event)

Event macros:

- EVT_NAVIGATION_KEY(func):
  Process a navigation key event.

##

Library: wxCore
Category: Events

See Also
  wxWindow::Navigate, wxWindow::NavigateIn

## Public Types

enum | wxNavigationKeyEventFlags { IsBackward = 0x0000, IsForward = 0x0001, WinChange = 0x0002, FromTab = 0x0004 }
| Flags which can be used with wxNavigationKeyEvent. More...

## Public Member Functions

| wxNavigationKeyEvent ()
| wxNavigationKeyEvent (const wxNavigationKeyEvent &event)
wxWindow * | GetCurrentFocus () const
| Returns the child that has the focus, or NULL.
bool | GetDirection () const
| Returns true if the navigation was in the forward direction.
bool | IsFromTab () const
| Returns true if the navigation event was from a tab key.
bool | IsWindowChange () const
| Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).
void | SetCurrentFocus (wxWindow *currentFocus)
| Sets the current focus window member.
void | SetDirection (bool direction)
| Sets the direction to forward if direction is true, or backward if false.
void | SetFlags (long flags)
| Sets the flags for this event.
void | SetFromTab (bool fromTab)
| Marks the navigation event as from a tab key.
void | SetWindowChange (bool windowChange)
| Marks the event as a window change event.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.

## Member Enumeration Documentation

enum wxNavigationKeyEvent::wxNavigationKeyEventFlags

Flags which can be used with wxNavigationKeyEvent.

Enumerator:

  IsBackward |
  IsForward |
  WinChange |
  FromTab |

## Constructor & Destructor Documentation

wxNavigationKeyEvent::wxNavigationKeyEvent | ( |  | ) |

wxNavigationKeyEvent::wxNavigationKeyEvent | ( | const wxNavigationKeyEvent & | event | ) |

## Member Function Documentation

wxWindow* wxNavigationKeyEvent::GetCurrentFocus | ( |  | ) | const

Returns the child that has the focus, or NULL.

bool wxNavigationKeyEvent::GetDirection | ( |  | ) | const

Returns true if the navigation was in the forward direction.

bool wxNavigationKeyEvent::IsFromTab | ( |  | ) | const

Returns true if the navigation event was from a tab key.

This is required for proper navigation over radio buttons.

bool wxNavigationKeyEvent::IsWindowChange | ( |  | ) | const

Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).

void wxNavigationKeyEvent::SetCurrentFocus | ( | wxWindow * | currentFocus | ) |

Sets the current focus window member.

void wxNavigationKeyEvent::SetDirection | ( | bool | direction | ) |

Sets the direction to forward if direction is true, or backward if false.

void wxNavigationKeyEvent::SetFlags | ( | long | flags | ) |

Sets the flags for this event.

The flags can be a combination of the ::wxNavigationKeyEventFlags values.

void wxNavigationKeyEvent::SetFromTab | ( | bool | fromTab | ) |

Marks the navigation event as from a tab key.

void wxNavigationKeyEvent::SetWindowChange | ( | bool | windowChange | ) |

Marks the event as a window change event.